<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<panel
         border="false"
         follows="all"
         height="420"
         label="Texture"
         layout="topleft"
         left="0"
         mouse_opaque="false"
         help_topic="toolbox_texture_tab"
         name="Texture"
         top="0"
         width="290">
            <panel.string
             name="string repeats per meter">
                Repeats Per Meter
            </panel.string>
            <panel.string
             name="string repeats per face">
                Repeats Per Face
            </panel.string>
           <!-- <text
             type="string"
             length="1"
             follows="left|top"
             height="16"
             layout="topleft"
             left="230"
             name="glow label"
             text_readonly_color="LabelDisabledColor"
             top_pad="5"
             width="60">
                Glow
            </text>
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="19"
             initial_value="0"
             layout="topleft"
             left_delta="0"
             name="glow"
             top_pad="2"
             width="50" />-->
             <check_box
             height="16"
             label="Full Bright"
             layout="topleft"
             left="5"
             name="checkbox fullbright"
             top_pad="5"
             width="81" />
             <slider
            decimal_digits="2"
            can_edit_text="true"
            follows="left|top"
            height="16"
            increment="0.01"
            initial_value="0"
            label="Glow"
            label_width="65"
            layout="topleft"
            left="110"
            max_val="1"
            min_val="0"
            name="glow"
            top_delta="0"
            width="175"/>
             <view_border
    bevel_style="none"
    follows="top|left"
    height="0"
    layout="topleft"
    left="5"
    name="cost_text_border"
    top_pad="3"
    width="280"/>
            <texture_picker
             can_apply_immediately="true"
             default_image_name="Default"
             fallback_image="materials_ui_x_24.png"
             follows="left|top"
             height="80"
             layout="topleft"
             left="25"
             name="texture control"
             tool_tip="Click to choose a picture"
             top_pad="10"
             width="64" />
            <color_swatch
             can_apply_immediately="true"
             allow_alpha="false"
             follows="left|top"
             height="80"
             label=""
             layout="topleft"
             left_pad="1"
             name="colorswatch"
             tool_tip="Click to open color picker"
             top_delta="0"
             width="18" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="110"
             text_readonly_color="LabelDisabledColor"
             name="alphamode_label"
             top_delta="3"
             width="80">
                Alpha Mode
            </text>
            <combo_box
             height="21"
             follows="top|left"
             layout="topleft"
             label="Alpha Mode"
             left="189"
             name="combobox alphamode"
             top_delta="-3"
             width="96">
                <combo_box.item
                 label="None"
                 name="None"
                 value="None" />
                <combo_box.item
                 label="Blending"
                 name="Alpha blending"
                 value="Alpha blending" />
                <combo_box.item
                 label="Masking"
                 name="Alpha masking"
                 value="Alpha masking" />
                <combo_box.item
                 label="Emissive"
                 name="Emissive mask"
                 value="Emissive mask" />
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Selected"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Selected"
            image_pressed="ToolbarDropDown_Selected" 
            image_pressed_selected="ToolbarDropDown_Selected"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
            <slider
            decimal_digits="0"
            can_edit_text="true"
            follows="left|top"
            height="15"
            increment="1"
            initial_value="55"
            label="Mask Cutoff"
            label_width="69"
            layout="topleft"
            left="110"
            max_val="255"
            min_val="0"
            name="maskcutoff"
            top_pad="1"
            width="175" />
            <slider
            decimal_digits="0"
            can_edit_text="true"
            follows="left|top"
            height="15"
            increment="1"
            initial_value="0"
            label="Alpha %"
            label_width="69"
            layout="topleft"
            left_delta="0"
            max_val="100"
            min_val="0"
            name="ColorTrans"
            top_pad="3"
            width="175" />
            <!--<spinner
             decimal_digits="0"
             min_val="0"
             max_val="255"
             follows="left|top"
             height="20"
             initial_value="55"
             layout="topleft"
             top_pad="2"
             label_width="78"
             label="Mask Cutoff"
             left_delta="0"
             increment="1"
             name="maskcutoff"
             width="135" />-->
                       <!-- <text
             type="string"
             length="1"
             follows="left|top"
             height="16"
             layout="topleft"
             left_delta="0"
             name="color trans"
             text_readonly_color="LabelDisabledColor"
             top_pad="5"
             width="135">
                Alpha %
                        </text>-->
            <!--<spinner
             decimal_digits="0"
             follows="left|top"
             height="20"
             increment="2"
             initial_value="0"
             layout="topleft"
             label="Alpha %"
             label_width="78"
             left_delta="0"
             max_val="100"
             name="ColorTrans"
             top_pad="3"
             width="135" />-->
            <texture_picker
             allow_no_texture="true"
             can_apply_immediately="true"
             default_image_name="Default"
             fallback_image="materials_ui_x_24.png"
             follows="left|top"
             height="80"
             layout="topleft"
             left="25"
             name="bumpytexture control"
             tool_tip="Click to choose a picture"
             top_pad="8"
             width="64" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="110"
             text_readonly_color="LabelDisabledColor"
             name="normalmap_label"
             top_delta="3"
             width="80">
                Normalmap
            </text>
            <combo_box
             height="21"
             layout="topleft"
             follows="top|left"
             left="189"
             label="Normal"
             name="combobox bumpiness"
             top_delta="-3"
             width="96">
                <combo_box.item
                 label="None"
                 name="None"
                 value="None" />
                <combo_box.item
                 label="Brightness"
                 name="Brightness"
                 value="Brightness" />
                <combo_box.item
                 label="Darkness"
                 name="Darkness"
                 value="Darkness" />
                <combo_box.item
                 label="woodgrain"
                 name="woodgrain"
                 value="woodgrain" />
                <combo_box.item
                 label="bark"
                 name="bark"
                 value="bark" />
                <combo_box.item
                 label="bricks"
                 name="bricks"
                 value="bricks" />
                <combo_box.item
                 label="checker"
                 name="checker"
                 value="checker" />
                <combo_box.item
                 label="concrete"
                 name="concrete"
                 value="concrete" />
                <combo_box.item
                 label="crustytile"
                 name="crustytile"
                 value="crustytile" />
                <combo_box.item
                 label="cutstone"
                 name="cutstone"
                 value="cutstone" />
                <combo_box.item
                 label="discs"
                 name="discs"
                 value="discs" />
                <combo_box.item
                 label="gravel"
                 name="gravel"
                 value="gravel" />
                <combo_box.item
                 label="petridish"
                 name="petridish"
                 value="petridish" />
                <combo_box.item
                 label="siding"
                 name="siding"
                 value="siding" />
                <combo_box.item
                 label="stonetile"
                 name="stonetile"
                 value="stonetile" />
                <combo_box.item
                 label="stucco"
                 name="stucco"
                 value="stucco" />
                <combo_box.item
                 label="suction"
                 name="suction"
                 value="suction" />
                <combo_box.item
                 label="weave"
                 name="weave"
                 value="weave" />
              <!--
                 NORSPEC-182, ensure item doesn't show up in menu until it should
                <combo_box.item
                 label="Use texture"
                 name="Use texture"
                 value="Use texture" />
                 -->
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Selected"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Selected"
            image_pressed="ToolbarDropDown_Selected" 
            image_pressed_selected="ToolbarDropDown_Selected"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
            <texture_picker
             allow_no_texture="true"
             can_apply_immediately="true"
             default_image_name="Default"
             fallback_image="materials_ui_x_24.png"
             follows="left|top"
             height="80"
             layout="topleft"
             left="25"
             name="shinytexture control"
             tool_tip="Click to choose a picture"
             top_pad="42"
             width="64" />
            <color_swatch
             can_apply_immediately="true"
             allow_alpha="false"
             follows="left|top"
             height="80"
             layout="topleft"
             left_pad="1"
             name="shinycolorswatch"
             tool_tip="Click to open color picker"
             top_delta="0"
             width="18" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="110"
             text_readonly_color="LabelDisabledColor"
             name="shininess_label"
             top_delta="3"
             width="80">
                Shiny
            </text>
            <combo_box
             height="21"
             layout="topleft"
             follows="top|left"
             left="189"
             label="Specular"
             name="combobox shininess"
             top_delta="-3"
             width="96">
                <combo_box.item
                 label="None"
                 name="None"
                 value="None" />
                <combo_box.item
                 label="Low"
                 name="Low"
                 value="Low" />
                <combo_box.item
                 label="Medium"
                 name="Medium"
                 value="Medium" />
                <combo_box.item
                 label="High"
                 name="High"
                 value="High" />
              <!--
                 NORSPEC-182, ensure item doesn't show up in menu until it should
                <combo_box.item
                 label="Use texture"
                 name="Use texture"
                 value="Use texture" />
                 -->
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Selected"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Selected"
            image_pressed="ToolbarDropDown_Selected" 
            image_pressed_selected="ToolbarDropDown_Selected"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
            <slider
            decimal_digits="0"
            can_edit_text="true"
            follows="left|top"
            height="15"
            increment="1"
            initial_value="51"
            label="Glossiness"
            label_width="69"
            layout="topleft"
            left="110"
            max_val="255"
            min_val="0"
            name="glossiness"
            top_pad="1"
            width="175"/>
            <slider
            decimal_digits="0"
            can_edit_text="true"
            follows="left|top"
            height="15"
            increment="1"
            initial_value="0"
            label="Environment"
            label_width="69"
            layout="topleft"
            left_delta="0"
            max_val="255"
            min_val="0"
            name="environment"
            top_pad="3"
            width="175"/>
            <!--<spinner
             decimal_digits="0"
             min_val="0"
             max_val="255"
             follows="left|top"
             height="20"
             initial_value="51"
             label="Glossiness"
             label_width="78"
             increment="1"
             layout="topleft"
             top_pad="2"
             left_delta="0"
             name="glossiness"
             width="135" />
            <spinner
             decimal_digits="0"
             min_val="0"
             max_val="255"
             increment="1"
             follows="left|top"
             height="20"
             label="Environment"
             label_width="78"
             initial_value="0"
             layout="topleft"
             top_pad="3"
             left_delta="0"
             name="environment"
             width="135" />-->
            <!-- label is blank because control places it below the box -->
            <radio_group
     layout="topleft"
     left="5"
     width="19"
     tool_tip="Select which texture-type attributes you want to change below."
      height="160"
      top="43"
     name="radio mattype">
        <radio_item
         top_pad="17"
         value="Texture (diffuse)"
         layout="topleft"
         name="Texture (diffuse)">
                              <radio_item.check_button
                              image_unselected="Checkbox_Off_Disabled"
                              image_selected="Checkbox_On"
                              image_disabled="Checkbox_Off_Disabled"
                              image_disabled_selected="Checkbox_On_Disabled"
                              image_pressed="Checkbox_Press"
                              image_pressed_selected="Checkbox_On_Press" />
        </radio_item>
        <radio_item
         top_pad="53"
         value="Bumpiness (normal)"
         layout="topleft"
         name="Bumpiness (normal)" >
         <radio_item.check_button
                              image_unselected="Checkbox_Off_Disabled"
                              image_selected="Checkbox_On"
                              image_disabled="Checkbox_Off_Disabled"
                              image_disabled_selected="Checkbox_On_Disabled"
                              image_pressed="Checkbox_Press"
                              image_pressed_selected="Checkbox_On_Press" />
        </radio_item>
        <radio_item
         top_pad="53"
         value="Shininess (specular)"
         layout="topleft"
         name="Shininess (specular)" >
         <radio_item.check_button
                              image_unselected="Checkbox_Off_Disabled"
                              image_selected="Checkbox_On"
                              image_disabled="Checkbox_Off_Disabled"
                              image_disabled_selected="Checkbox_On_Disabled"
                              image_pressed="Checkbox_Press"
                              image_pressed_selected="Checkbox_On_Press" />
        </radio_item>
    </radio_group>
            <check_box
             follows="top|left"
             height="16"
             initial_value="false"
             label=""
             layout="topleft"
             left="5"
             name="lock_diffuse_check"
             tool_tip="Apply all scaling, rotation, repeat and offset changes to the diffusemap aswell."
             top="75"
             width="260" >
               <check_box.check_button
               image_unselected="widgets/Check_Lock_Off.png"
               image_selected="widgets/Check_Lock_On.png"
               image_disabled="widgets/Check_Lock_Off.png"
               image_disabled_selected="widgets/Check_Lock_On.png"
               image_pressed="widgets/Check_Lock_On.png"
               image_pressed_selected="widgets/Check_Lock_Off.png"/>
            </check_box>
            <check_box
             follows="top|left"
             height="16"
             initial_value="false"
             label=""
             layout="topleft"
             left="5"
             name="lock_bump_check"
             tool_tip="Apply all scaling, rotation, repeat and offset changes to the bumpmap aswell."
             top="138"
             width="260" >
               <check_box.check_button
               image_unselected="widgets/Check_Lock_Off.png"
               image_selected="widgets/Check_Lock_On.png"
               image_disabled="widgets/Check_Lock_Off.png"
               image_disabled_selected="widgets/Check_Lock_On.png"
               image_pressed="widgets/Check_Lock_On.png"
               image_pressed_selected="widgets/Check_Lock_Off.png"/>
            </check_box>
            <check_box
             follows="top|left"
             height="16"
             initial_value="false"
             label=""
             layout="topleft"
             left="5"
             name="lock_spec_check"
             tool_tip="Apply all scaling, rotation, repeat and offset changes to the specularmap aswell."
             top="201"
             width="260" >
               <check_box.check_button
               image_unselected="widgets/Check_Lock_Off.png"
               image_selected="widgets/Check_Lock_On.png"
               image_disabled="widgets/Check_Lock_Off.png"
               image_disabled_selected="widgets/Check_Lock_On.png"
               image_pressed="widgets/Check_Lock_On.png"
               image_pressed_selected="widgets/Check_Lock_Off.png"/>
            </check_box>
            <view_border
    bevel_style="none"
    follows="top|left"
    height="0"
    layout="topleft"
    left="5"
    name="cost_text_border"
    top="220"
    width="280"/>
            <!--<check_box
             follows="top|left"
             height="16"
             initial_value="false"
             label="Lock"
             layout="topleft"
             left="5"
             name="lock_check"
             tool_tip="Apply all scaling, rotation, repeat and offset changes to all 3 texture channels"
             top_pad="5"
             width="260" />-->
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="5"
             name="tex gen"
             text_readonly_color="LabelDisabledColor"
             top_pad="13"
             width="80">
                Mapping
            </text>
            <combo_box
             height="21"
             layout="topleft"
             follows="top|left"
             left="120"
             name="combobox texgen"
             top_delta="-3"
             width="100">
                <combo_box.item
                 label="Default"
                 name="Default"
                 value="Default" />
                <combo_box.item
                 label="Planar"
                 name="Planar"
                 value="Planar" />
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
            <check_box
             follows="top|left"
             height="16"
             initial_value="false"
             label="Align"
             layout="topleft"
             left_pad="4"
             name="checkbox planar align"
             tool_tip="Align textures on all selected faces with the last selected face. Requires Planar texture mapping."
             top_delta="2"
             width="260" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             label="Horizontal | Vertical scale"
             label_width="150"
             layout="topleft"
             left="5"
             min_val="-100"
             max_val="100"
             name="TexScaleU"
             top_pad="5"
             width="210" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             layout="topleft"
             left_pad="5"
             top_delta="0"
             label="|"
             label_width="5"
             min_val="-100"
             max_val="100"
             name="TexScaleV"
             width="65" />
            <spinner
             decimal_digits="1"
             follows="left|top"
             height="19"
             initial_value=""
			 label="Repeats"
             layout="topleft"
			 label_width="220"
             left="5"
             max_val="100"
             min_val="-100"
             name="rptctrl"
             width="280" />
           <spinner
             decimal_digits="2"
             follows="left|top"
             height="19"
             increment="1"
             initial_value="0"
			 label="Rotation degrees"
             layout="topleft"
			 label_width="220"
             left="5"
             max_val="9999"
             min_val="-9999"
             name="TexRot"
             width="280" />

            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             label="Horizontal | Vertical offset"
             label_width="150"
             layout="topleft"
             left="5"
             min_val="-1"
             name="TexOffsetU"
             width="210" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             layout="topleft"
             left_pad="5"
             top_delta="0"
             label="|"
             label_width="5"
             min_val="-1"
             name="TexOffsetV"
             width="65" />
            <!--<spinner
             follows="left|top"
             height="19"
             initial_value="0"
             label="Horizontal/Vertical scale"
             label_width="135"
             layout="topleft"
             left="10"
             min_val="-100"
             max_val="100"
             name="bumpyScaleU"
             top="247"
             width="195" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             layout="topleft"
             left_pad="5"
             top_delta="0"
             label="|"
             label_width="5"
             min_val="-100"
             max_val="100"
             name="bumpyScaleV"
             width="65" />
           <spinner
             decimal_digits="2"
             follows="left|top"
             height="19"
             top_pad="27"
             increment="1"
             initial_value="0"
			 label="Rotation degrees"
             layout="topleft"
			 label_width="205"
             left="10"
             max_val="360"
             min_val="0"
             name="bumpyRot"
             width="265" />

            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             label="Horizontal/Vertical offset"
             label_width="135"
             layout="topleft"
             left="10"
             min_val="0"
             name="bumpyOffsetU"
             width="195" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             layout="topleft"
             left_pad="5"
             top_delta="0"
             label="|"
             label_width="5"
             min_val="0"
             name="bumpyOffsetV"
             width="65" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             label="Horizontal/Vertical scale"
             label_width="135"
             layout="topleft"
             left="10"
             min_val="-100"
             max_val="100"
             name="shinyScaleU"
             top="247"
             width="195" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             layout="topleft"
             left_pad="5"
             top_delta="0"
             label="|"
             label_width="5"
             min_val="-100"
             max_val="100"
             name="shinyScaleV"
             width="65" />
           <spinner
             decimal_digits="2"
             follows="left|top"
             height="19"
             top_pad="27"
             increment="1"
             initial_value="0"
			 label="Rotation degrees"
             layout="topleft"
			 label_width="205"
             left="10"
             max_val="360"
             min_val="0"
             name="shinyRot"
             width="265" />

            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             label="Horizontal/Vertical offset"
             label_width="135"
             layout="topleft"
             left="10"
             min_val="0"
             name="shinyOffsetU"
             width="195" />
            <spinner
             follows="left|top"
             height="19"
             initial_value="0"
             layout="topleft"
             left_pad="5"
             top_delta="0"
             label="|"
             label_width="5"
             min_val="0"
             name="shinyOffsetV"
             width="65" />-->
             <view_border
    bevel_style="none"
    follows="top|left"
    height="0"
    layout="topleft"
    left="5"
    name="cost_text_border"
    top_pad="5"
    width="280"/>
             <text
			 follows="left|top|right"
			 height="9"
			 layout="topleft"
			 left="5"
			 top_pad="7"
             text_readonly_color="HTMLLinkColor"
             use_ellipses="true"
			 read_only="true"
			 name="media_info"
			 width="285">
			 URL of chosen media, if any, goes here
			 </text>
			<button
			 follows="top|left"
			 height="21"
			 layout="topleft"
			 left="5"
			 name="add_media"
			 top_pad="5"
			 tool_tip="Add Media"
			 label="Choose..."
             image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
			 width="92">
				<button.commit_callback
				function="BuildTool.AddMedia"/>
			</button>
			<button
			 follows="top|left"
			 height="21"
			 layout="topleft"
			 left_pad="1"
			 name="delete_media"
			 tool_tip="Delete this media texture"
			 top_delta="0"
			 label="Remove"
             image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
			 width="93">
				<button.commit_callback
				function="BuildTool.DeleteMedia"/>
			</button>
            <button
			 follows="left|top"
			 height="21"
			 label="Align"
             image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
			 label_selected="Align Media"
			 layout="topleft"
			 left_pad="1"
			 name="align_media"
			 top_delta="0"
			 tool_tip="Align media texture (must load first)"
			 width="93" />
            <web_browser
             visible="false"
             enabled="false"
             border_visible="true"
             bottom_delta="0"
             follows="top|left"
             left="0"
             name="title_media"
             width="4"
             height="4"
             start_url="about:blank"
             decouple_texture_size="true" />
	   </panel>
